summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormarin2018-12-09 21:30:00 +0100
committermarin2018-12-09 21:30:00 +0100
commit33895967091201c622d860b1e46384f00337eb83 (patch)
tree2120cb4dcbcd1e9c9e4f1210f6486f60a6ef5c34
downloadaur-33895967091201c622d860b1e46384f00337eb83.tar.gz
initial commit
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD32
-rw-r--r--cherry-font-git.install12
3 files changed, 58 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..79de4bf27f0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = cherry-font-git
+ pkgdesc = cherry, yet another bitmap font
+ pkgver = 1.2
+ pkgrel = 1
+ url = https://github.com/turquoise-hexagon/cherry
+ install = cherry-font-git.install
+ arch = any
+ makedepends = git
+ makedepends = xorg-font-utils
+ source = cherry-font-git::git+https://github.com/turquoise-hexagon/cherry
+ md5sums = SKIP
+ sha256sums = SKIP
+
+pkgname = cherry-font-git
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..34af35b11bb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# maintainer : marin <turquoise.hexagon@protonmail.com>
+
+pkgname=cherry-font-git
+pkgver=1.0
+pkgrel=1
+pkgdesc='cherry, yet another bitmap font'
+url=https://github.com/turquoise-hexagon/cherry
+source=("$pkgname::git+https://github.com/turquoise-hexagon/cherry")
+licence=('MIT')
+arch=('any')
+makedepends=('git' 'xorg-font-utils')
+install="$pkgname.install"
+md5sums=('SKIP')
+sha256sums=('SKIP')
+
+build ()
+{
+ cd "$srcdir/$pkgname" || exit
+
+ for b in *.bdf; do
+ bdftopcf -o "${b/.bdf/.pcf}" "$b"
+ done
+}
+
+package ()
+{
+ cd "$srcdir/$pkgname" || exit
+
+ install -d -m755 "$pkgdir/usr/share/fonts/misc"
+ install -D -m644 *.pcf "$pkgdir/usr/share/fonts/misc"
+ install -D -m644 LICENSE "$pkgdir/usr/share/licences/$pkgname/LICENSE"
+}
diff --git a/cherry-font-git.install b/cherry-font-git.install
new file mode 100644
index 00000000000..7308d9ac417
--- /dev/null
+++ b/cherry-font-git.install
@@ -0,0 +1,12 @@
+update_font_cache ()
+{
+ echo 'updating font cache...'
+ fc-cache -f
+ mkfontscale /usr/share/fonts/misc
+ mkfontdir /usr/share/fonts/misc
+ echo 'done.'
+}
+
+post_install () { update_font_cache; }
+post_upgrade () { update_font_cache; }
+post_remove () { update_font_cache; }